Option to remove log entries from watchlist
Closed, DeclinedPublic

Description

Author: rockmfr

Description:
Patch to add a hide logs pref for the watchlist

Someone requested the option to remove log actions from the watchlist at the village pump on enwiki, so here's a patch for it. I'm completely ignorant regarding new system messages and all that, so this is probably pretty crappy...


Version: unspecified
Severity: enhancement

attachment HideLogs.patch ignored as obsolete

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14552.
bzimport created this task.Via LegacyJun 16 2008, 1:48 AM
aaron added a comment.Via ConduitJun 16 2008, 1:59 AM

This is definitely preference cruft, which there already is probably too much of.

demon added a comment.Via ConduitJun 16 2008, 2:01 AM

I wouldn't WONTFIX it, I'd suggest making it a click-able option like Recentchanges does for bot edits, etc.

bzimport added a comment.Via ConduitJun 16 2008, 1:39 PM

charlottethewebb wrote:

(In reply to comment #1)

This is definitely preference cruft, which there already is probably too much
of.

This is an option to retain the status quo where significant and arguably undesirable changes have been made to a non-broken existing feature... backward compatibility is not "preference cruft".

More than once (and for varying reasons) I've needed to do a mass-unwatch to keep my watchlist semi-usable.

bzimport added a comment.Via ConduitJun 17 2008, 12:09 AM

ayg wrote:

A lot of the time, when new features are added, someone has some objection to part of the change, and proposes an option to allow the old behavior as a fix. In almost all cases, this is a bad idea. The old behavior may have *accidentally* been superior in some respects, but it also carries with it a number of other, negative characteristics (which is why, after all, the new behavior was introduced). What people generally want is not the old behavior; they want *certain features* of the old behavior. In many cases, those features can be cleanly separated from the old behavior and added to the new behavior, which gives all the advantages of both without the clutter and maintenance issues of two separate modes of viewing.

So this bug is ill-conceived. The request should not be, "give an option to remove log entries from watchlist". It should be, "fix problem X with watchlists". In this case, as far as I can tell (please correct me if I'm wrong), problem X is that your watchlist was already cluttered, and now it's become more so. The solution is not to make logs hide-able; that will rarely be useful in dealing with clutter. In most cases it will hide things you want to see as well as those you don't, and many people won't notice the option, depriving them of the benefits of a better solution.

It would help if people identified what log entries, exactly, they see but don't want to. I'm supposing that the clutter occurs due to uninteresting and repetitive log entries, such as the "large batch of images I tagged with no source" J Milburn mentions elsewhere. Presumably the problem in that case was that most of the images were deleted en masse, spamming his watchlist. What was the desired result? Did he watchlist them only so he could double-check edits made to save the images, but didn't want to see if they were deleted? That seems like a relatively specialized need.

demon added a comment.Via ConduitJun 17 2008, 12:14 AM

Created attachment 4991
Updated patch against current trunk

Fwiw, here's the new patch against the current trunk. With the reorganization ~/includes, the old patch wouldn't cleanly apply. I manually merged the old patch.

Attached: diff.patch

bzimport added a comment.Via ConduitJun 17 2008, 3:02 PM

charlottethewebb wrote:

(In reply to comment #4)

A lot of the time, when new features are added, someone has some objection to
part of the change, and proposes an option to allow the old behavior as a fix.
In almost all cases, this is a bad idea. The old behavior may have
*accidentally* been superior in some respects, but it also carries with it a
number of other, negative characteristics (which is why, after all, the new
behavior was introduced). What people generally want is not the old behavior;
they want *certain features* of the old behavior. In many cases, those
features can be cleanly separated from the old behavior and added to the new
behavior, which gives all the advantages of both without the clutter and
maintenance issues of two separate modes of viewing.

This is would be no less cleanly separated than the hidebots=1&hideown=1&hideminor=1 options already in use.

So this bug is ill-conceived. The request should not be, "give an option to
remove log entries from watchlist". It should be, "fix problem X with
watchlists". In this case, as far as I can tell (please correct me if I'm
wrong), problem X is that your watchlist was already cluttered, and now it's
become more so.

No, problem X is that the watchlist interface generally sucks all-around.

The solution is not to make logs hide-able; that will rarely be useful in
dealing with clutter. In most cases it will hide things you want to see as
well as those you don't...

Speaking for myself I would keep log actions visible as a default in Special:Preferences but use "&hideactions=1" or whatever to drown them out whenever some sort of flooding occurs, whether it be mass deletion of non-free images, or a dozen high-profile articles where moved to "...on wheels" or "...HAGGER?" and back again while I was asleep, or a large tree of categories which have been renamed to conform to a new naming convention (by deleting and recreating elsewhere as there is for some reason no other way).

As for "things [I] want to see"... if a user makes an important edit (one that, to me, is worth noticing) to a certain page, I am likely to react by replying to their question, copy-editing their prose, or reverting their vandalism (depending on the exact situation). In any case their edit will (by default) no longer appear on my watchlist after I (or others) have made any subsequent edits to said page.

Rather unlike edits (outside of "extended watchlist" mode which would probably crash my PC), log actions remain visible until X days have passed or I manually unwatch the page.

and many people won't notice the option, depriving them of the benefits of
a better solution.

Better solution such as what?

The most significant short-term improvement to the watchlist interface would be the ability to maintain several watchlists on the same account. Items which are likely to be deleted all at the same time could be moved to a separate watchlist, where they could be periodically monitored for sporadic re-postings (after the deluge, as it were).

It would help if people identified what log entries, exactly, they see but
don't want to. I'm supposing that the clutter occurs due to uninteresting and
repetitive log entries, such as the "large batch of images I tagged with no
source" J Milburn mentions elsewhere. Presumably the problem in that case was
that most of the images were deleted en masse, spamming his watchlist. What
was the desired result? Did he watchlist them only so he could double-check
edits made to save the images, but didn't want to see if they were deleted?
That seems like a relatively specialized need.

Yes, he may have deliberately watchlisted them to make sure the deletion tags were not tampered with. But more likely he (like most people I know) uses the "Add pages I edit to my watchlist" option in Special:Preferences, for better or worse.

Let's say I mark 500 images (or any other pages) to be deleted, and keep them watchlisted. A few weeks later (depending on back-log levels) most of them will be deleted. While I don't mind knowing that they are being dealt with, I would prefer not to see a massive flood every time I refresh my watchlist, especially if the deletions are ongoing at the very moment.

A few months later a handful of these might be re-uploaded (or otherwise re-created) using the same title. This is something I *would* like to see, and which I wouldn't see if I had removed them from my watchlist (to filter out the deletion log flood).

brion added a comment.Via ConduitJul 5 2008, 12:09 AM

The new behavior is very deliberate and fixes the longstanding issue that many types of change to a page would destroy its visibility in the watchlist.

Resolving WONTFIX.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.